TwitterKit and iOS bitcode failing - Cannot build for ITC

ios
twitterkit
sdk

#1

I am seeing this with TwitterKit 3.0.1 via the Pod

I should add that I am building via Fastlane.

ld: bitcode bundle could not be generated because './Pods/TwitterKit/iOS/TwitterKit.framework/TwitterKit(TSEThrottledProperty.o)' was built without full bitcode. All object files and libraries for bitcode must be generated from Xcode Archive or Install build for architecture armv7


Someone to update the iOS Kit?
#2

I have the same problem, It’s there an upgrade version to fix this?


#3

Same problem, this is totally unacceptable…


#4

+1. Same here


#5

Thanks for your reports. We are currently investigating this issue.


#6

This issue has been fixed in Twitter Kit 3.0.2. Please run pod update TwitterKit to get the latest version.


#7

Thanks ! It’s working fine now :slight_smile: